Get Udyog Aadhaar Result
Retrieve the result of an asynchronous Udyog Aadhaar verification.
curl -X GET "https://production.deepvue.tech/v1/verification/async/get-udyog-details?request_id=req_a73af0b7accc4c3fbaa3dd2dc2cab550" \
-H "Content-Type: application/json" \
-H "X-Deepvue-Origin: acme-web" \
-H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
-H "x-api-key: YOUR_API_KEY"
import requests
import json
url = "https://production.deepvue.tech/v1/verification/async/get-udyog-details?request_id=req_a73af0b7accc4c3fbaa3dd2dc2cab550"
headers = {
"Content-Type": "application/json",
"X-Deepvue-Origin": "acme-web",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)",
"x-api-key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://production.deepvue.tech/v1/verification/async/get-udyog-details?request_id=req_a73af0b7accc4c3fbaa3dd2dc2cab550", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-Deepvue-Origin": "acme-web",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)",
"x-api-key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://production.deepvue.tech/v1/verification/async/get-udyog-details?request_id=req_a73af0b7accc4c3fbaa3dd2dc2cab550", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-Deepvue-Origin", "acme-web")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN (JWT)")
req.Header.Set("x-api-key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://production.deepvue.tech/v1/verification/async/get-udyog-details?request_id=req_a73af0b7accc4c3fbaa3dd2dc2cab550')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-Deepvue-Origin'] = 'acme-web'
request['Authorization'] = 'Bearer YOUR_API_TOKEN (JWT)'
request['x-api-key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"action": "verify_with_source",
"completed_at": "2025-01-30T14:00:55+05:30",
"created_at": "2025-01-30T14:00:33+05:30",
"error": "BAD_REQUEST",
"group_id": "8e16424a-58fc-4ba4-ab20-5bc8e7c3c41e",
"message": "Please enter a valid UAM number",
"request_id": "2db0ab31-ce7c-47f3-8488-f2298fc2a811",
"status": "failed",
"task_id": "3431c00d-64f7-47c4-acf5-55620d37beeb",
"type": "udyam_aadhaar"
}
{
"detail": "Inactive client_id"
}
{
"detail": "Not authenticated"
}
{
"detail": "Not a valid token"
}
{
"code": 422,
"timestamp": 1738183355076,
"transaction_id": "08eb4011796f4e269dc8b5b7ab28ddbd",
"sub_code": "INVALID_REQUEST_ID",
"message": "Invalid Request ID"
}
{
"detail": "Internal Server Error"
}
/v1/verification/async/get-udyog-details
Target server for requests. Edit to use your own host.
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Identifies the product, service, or platform you are calling the API from. The value appears in the Caller column of Transaction logs and in dashboard analytics.
- Use lowercase letters, digits, and hyphens only
- Start with a letter or digit
- Maximum 32 characters
A value that does not match ^[a-z0-9][a-z0-9-]{0,31}$ is rejected with INVALID_ORIGIN_METADATA.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token (JWT). ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
API Key for authentication. The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Query Parameters
req_a73af0b7accc4c3fbaa3dd2dc2cab550Headers
Identifies the product, service, or platform you are calling the API from. The value appears in the Caller column of Transaction logs and in dashboard analytics.
- Use lowercase letters, digits, and hyphens only
- Start with a letter or digit
- Maximum 32 characters
A value that does not match ^[a-z0-9][a-z0-9-]{0,31}$ is rejected with INVALID_ORIGIN_METADATA.
acme-webResponses
Overview
This API retrieves the complete result and verification details using the request ID from the previous step. After initiating a verification request in a prior step, you submit the resulting request identifier to obtain comprehensive verification details and status information.
This is an asynchronous GET request. You must first create a verification request using the Create Udyog Aadhaar endpoint to obtain a request ID, then use that ID with this endpoint to retrieve the results.